Method: advertisers.reachForecast.retrievePlannableLocations

Retrieves the list of countries where reach forecasting is supported.

HTTP request

GET https://displayvideo.googleapis.com/v4/advertisers/{advertiserId}/reachForecast:retrievePlannableLocations

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
advertiserId

string (int64 format)

Required. The ID of the advertiser to list plannable locations for.

Request body

The request body must be empty.

Response body

Response for reachForecast.retrievePlannableLocations

If successful, the response body contains data with the following structure:

JSON representation
{
  "plannableLocations": [
    {
      object (PlannableLocation)
    }
  ]
}
Fields
plannableLocations[]

object (PlannableLocation)

Output only. The list of plannable locations.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/display-video

For more information, see the OAuth 2.0 Overview.

PlannableLocation

A plannable location used for forecasting.

JSON representation
{
  "name": string,
  "displayName": string,
  "geoRegionType": enum (GeoRegionType),
  "plannableLocationId": string,
  "regionCode": string,
  "parentPlannableLocationId": string
}
Fields
name

string

Output only. The resource name of the plannable location.

displayName

string

Output only. The display name of the location, for example "Algeria".

geoRegionType

enum (GeoRegionType)

Output only. The type of location.

plannableLocationId

string (int64 format)

Output only. The plannable location ID.

regionCode

string

Output only. The region code of the location, for example "DZ" for Algeria.

parentPlannableLocationId

string (int64 format)

Output only. The parent plannable location ID, for example the country ID for subgeos.